﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

.rz-button:not(.rz-state-disabled):after, .rz-paginator-element:not(.rz-state-disabled):after {
  content: "";
  position: static !important;
  inset: 0;
  background-position: center;
  transition: background 0.8s, opacity 0.8s;
  opacity: 0;
  background: radial-gradient(circle, currentColor 1%, transparent 1%) center / 15000%;
}

:root {
  --oellrich-base-color: #008174;
  --rz-tabs-tab-text-transform: none;
  --rz-tabs-tab-letter-spacing: none;
  --rz-datepicker-calendar-selected-background-color: var(--oellrich-base-color);
  --rz-datepicker-calendar-today-color: var(--oellrich-base-color);
  /*--rz-datepicker-calendar-today-box-shadow: inset 0 0 0 1px currentColor;*/
  /*Footer */
  --rz-footer-padding: 0rem;
  --rz-footer-background-color: var(--rz-base-background-color);
  --rz-footer-border: var(--rz-border-base-200);
  --rz-footer-color: var(--rz-text-color);
  --rz-footer-z: 2;
  --input-highlight-background-color: lightyellow;
}

html {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif !important;
}

body {
  font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif !important;
}

ul[role=tablist] {
  flex-wrap: wrap;
}

h1:focus {
  outline: none;
}

.btn-icon {
  height: 24px;
  width: 24px;
}

a, .btn-link {
  color: #0071c1;
}

.import-data-button {
  width: 200px;
}

.radiobutton-valid > * {
  outline: none !important;
}

.normal-whitespace-column {
  white-space: normal !important;
}

.btn-primary {
  color: #fff;
  background-color: #1b6ec2;
  border-color: #1861ac;
}

.project-details-overflow {
  overflow: scroll !important;
}

.last-day-of-month-icon {
  font-size: large;
}

.data-grid-icon {
  font-size: x-large !important;
  color: #424242 !important;
}

.data-grid-icon-disabled {
  color: lightgray !important;
}

.data-grid-button {
  padding: 0.2rem !important;
  position: static !important;
}

.content {
  padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
  outline: 1px solid #26b050;
}

.invalid {
  outline: 1px solid red;
}

.validation-message {
  color: red;
}

.rules-container {
  max-height: calc(100vh - 395px);
  min-height: calc(100vh - 395px);
  overflow-y: auto;
  padding: 5px;
}

.grid-header-title * {
  word-break: break-word !important;
  white-space: initial !important;
}

.dashboard-grid-header-title {
  word-break: break-word !important;
  white-space: initial !important;
}

.datagrid-long-text {
  word-break: break-word !important;
  white-space: initial !important;
}

#blazor-error-ui {
  background: lightyellow;
  bottom: 0;
  box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
  display: none;
  left: 0;
  padding: 0.6rem 1.25rem 0.7rem 1.25rem;
  position: fixed;
  width: 100%;
  z-index: 1000;
}

  #blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
  }

.blazor-error-boundary {
  background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
  padding: 1rem 1rem 1rem 3.7rem;
  color: white;
}

  .blazor-error-boundary::after {
    content: "An error has occurred."
  }

.row {
  margin-bottom: 16px;
}

.oellrich-color {
  background-color: #008174;
  border-color: #008174;
  color: #fff;
}

.oellrich-button-color {
  background-color: #008174 !important;
}

.panel-menu {
  background-color: #fff;
  color: #000000;
}

.site-plan-button * {
  width: 100% !important;
}

.white-link {
  color: #fff;
}

.dashboard-present {
  color: #006400;
  gap: 0.5rem;
}

.dashboard-away {
  color: gray;
  gap: 0.5rem;
}

.datepicker-validation {
  position: static;
}

.font-bold {
  font-weight: bold !important;
}

.oellrich-logo {
  filter: invert(100%) sepia(0%) saturate(0%) hue-rotate(270deg) brightness(113%) contrast(101%);
}

.form-field {
  width: 100%;
}

.worktime-col {
  flex: 0 0 25%;
}

.worktime-col-2 {
  flex: 0 0 24.3%;
  padding-left: 0.2rem;
}

.no-padding {
  padding: 0px !important;
}

.bg-grey {
  background-color: lightgray;
}

.modal-footer {
  position: sticky;
  bottom: 0;
  background-color: inherit;
  z-index: 1055;
}

.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
}

  /* Links inside the dropdown */
  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }

    /* Change color of dropdown links on hover */
    .dropdown-content a:hover {
      background-color: #ddd;
    }

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {
  display: block;
}

div.gallery {
  margin: 5px;
  border: 1px solid #ccc;
  float: left;
  width: 180px;
}

  div.gallery img {
    width: 100%;
    height: auto;
  }

div.desc {
  padding: 15px;
  text-align: center;
}

.bg-border-red {
  border: solid 4px;
  border-color: #F75255;
  background-color: #F75255;
}

.bg-border-yellow {
  border: solid 4px;
  border-color: yellow;
  background-color: yellow;
}

.bg-border-gray {
  border: solid 4px;
  border-color: lightgray;
  background-color: lightgray;
}

.bg-border-turquoise {
  border: solid 4px;
  border-color: paleturquoise;
  background-color: paleturquoise;
}

.bg-border-gray-planning {
  background-color: #f7f7f7;
}

.bg-border-blue {
  border: solid 4px;
  border-color: deepskyblue;
  background-color: deepskyblue;
}

.bg-border-blue-planning {
  background-color: #e6f3ff;
}

.bg-border-turquoise-planning {
  background-color: rgba(175, 238, 238, 0.7);
}

.bg-border-green {
  border: solid 4px;
  border-color: lawngreen;
  background-color: lawngreen;
}

.bg-border-green-planning {
  background-color: #e6ffe6;
}

.bg-white {
  background-color: white;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
}

.dashboard-grid {
  height: calc(100vh - 395px);
}

.html-editor-container {
  height: calc(100vh - 253px);
}

.appointment {
  color: white;
  box-sizing: border-box;
  display: block;
  text-align: left;
  position: absolute;
  font-size: smaller;
  margin-top: 2px;
  margin-bottom: 10px;
  padding: 0.1rem;
}

.childGrid thead {
  display: none;
}

.childGrid .rz-expanded-row-template {
  background-color: lightgray;
}

.timespan-row {
  margin-bottom: 4px;
  display: flex;
  flex-wrap: wrap;
  margin-left: -1rem;
}

.hide-calendar-button .rz-calendar-button {
  display: none;
}

.side-dialog-min-width {
  min-width: 25rem;
}

.planning-side-button {
  height: 100%;
  position: absolute;
  width: 2px;
  right: 0;
  top: 0;
  min-width: 0px;
}

.planning-grid {
  max-height: calc(100vh - 296px);
  overflow-y: auto;
  margin: 0;
  padding: 0;
  line-height: normal;
}

.missing-entries-grid {
  height: calc(100vh - 171px);
  overflow-y: auto;
  margin: 0;
  padding: 0;
  line-height: normal;
}

.client-images-gallery > div.rz-g {
  height: calc(100vh - 301px);
}

.project-images-gallery > div.rz-g {
  height: calc(100vh - 353px);
}

.image-gallery > div.rz-g {
  overflow-y: auto;
  margin: 0;
  padding: 0;
  line-height: normal;
  display: grid;
  grid-template-columns: repeat(5, minmax(0, 1fr));
  grid-template-rows: repeat(2, 1fr);
  grid-auto-rows: 1fr;
  gap: 10px;
}

.gallery-image {
  float: left;
  display: block;
  width: 100%;
  height: 100%;
  object-fit: contain;
  cursor: pointer;
}

.sticky-planning-header {
  position: sticky;
  top: 0;
  background-color: white;
  z-index: 99999;
}

.scheduler-first-column {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.rz-card-planning {
  padding-top: 5px;
  padding-bottom: 5px;
}

.required-field::after {
  content: "*";
  color: red;
}

.rz-card-legend-planning {
  padding: 10px;
  padding-bottom: 0px;
  width: 100%;
}

.calendar-third-column {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.context-menu-open {
  border: solid;
  border-color: #008174
}

.form-col-1 {
  width: 25%;
}

.form-col-2 {
  width: 50%;
}

.form-col-3 {
  width: 75%;
}

.form-col-4 {
  width: 100%;
}

.web-form-col-1 {
    width: 12.5%;
}

.web-form-col-2 {
    width: 25%;
}

.web-form-col-3 {
    width: 37.5%;
}

.web-form-col-4 {
    width: 50%;
}

.dialog-container-signature {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1000;
  width: 310px;
  color: white;
  overflow-y: hidden;
}

.imagedialog {
  position: fixed; /* Make the entire panel fixed on the screen */
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1000;
  overflow: auto;
}

.dialog-container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 1000;
  max-width: 90%;
  color: white;
}

.dialog-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 999;
}

.arrow-back-icon {
  position: absolute;
  top: 50%;
  left: 10px;
  font-size: 50px;
  color: #ffffff;
  cursor: pointer;
  z-index: 1001;
}

.arrow-forward-icon {
  position: absolute;
  top: 50%;
  right: 10px;
  font-size: 50px;
  color: #ffffff;
  cursor: pointer;
  z-index: 1001;
}

.exit-icon {
  position: absolute;
  top: 10px;
  right: 10px;
  font-size: 20px;
  color: #ffffff;
  cursor: pointer;
  z-index: 1001;
}

.filter-icon {
  cursor: pointer;
  font-size: larger !important;
}

.clickable-icon {
  cursor: pointer;
}

.signature[b-168tik2540] {
  border: 2px dotted #CCCCCC;
  border-radius: 15px;
  cursor: crosshair;
}

.signature {
  border: 2px dotted #CCCCCC;
  border-radius: 15px;
  cursor: crosshair;
}

.signaturePad {
  background-color: white;
}

/*.rz-tabview.rz-tabview-top > .rz-tabview-nav .rz-tabview-selected {
  border-right: 2px solid var(--rz-primary);
  border-left: 2px solid var(--rz-primary);
}*/

/*TabBar*/
.rz-tabview.rz-tabview-top > .rz-tabview-nav .rz-tabview-selected {
  border-right: 1px solid #e9eaed;
  border-left: 1px solid #e9eaed;
  border-bottom: none;
  margin: 0px !important;
  padding-top: 0px !important;
  border-top: 3px solid #008174;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.rz-tabview-nav li {
  background-color: #e9eaed;
  border-right: 1px solid #e9eaed;
  border-left: 1px solid #e9eaed;
  border-bottom: none;
  margin: 0px !important;
  padding-top: 3px;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

/*.rz-tabview-top > .rz-tabview-nav li {
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    border: 1px solid #c0c0c0;
    margin: 0px !important;
    border-bottom: none;
}*/
.rz-tabview-top > .rz-tabview-nav li {
  border-right: 1px solid #c0c0c0;
  border-left: 1px solid #c0c0c0;
  border-bottom: none;
  margin: 0px !important;
  padding-top: 0px !important;
  border-top: 3px solid #9a9ead;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
}

.rz-tabview.rz-tabview-top > .rz-tabview-panels {
  border-top: var(--rz-border-base-300);
  border: var(--rz-border-base-300);
  padding: 10px;
  margin: 0px !important;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
}

.rz-tabview-nav li a {
  padding: 4px !important;
}

.rz-tabview-nav li:hover {
  background-color: white !important;
  border-top: 3px solid #e91e63;
  margin: 0px !important;
  padding-top: 0px !important;
  border-bottom: none;
}

/*Tab-Bar Split-Button*/
.tab-bar-split-button .rz-button:not(.rz-splitbutton-menubutton) {
  background-color: #e9eaed;
  color: black;
  border-bottom-left-radius: 0px;
  width: 0px !important;
  min-width: 0px !important;
  border-left: none !important;
  padding: 0px;
  box-shadow: none;
  border: 1px solid #c0c0c0;
  border-bottom: none;
  border-right-color: lightgrey;
}

  .tab-bar-split-button .rz-button:not(.rz-splitbutton-menubutton):hover {
    box-shadow: none;
    background-color: white !important;
    border-top: 3px solid #e91e63;
    padding: 0px !important;
  }

.tab-bar-split-button .rz-button.rz-splitbutton-menubutton {
  background-color: #e9eaed;
  color: black;
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
  box-shadow: none;
  border-right: 1px solid #c0c0c0;
  border-top: 3px solid #9a9ead;
  border-bottom: none;
  border-left: 0px;
  margin-left: 0px;
  padding: 0px !important;
}

  .tab-bar-split-button .rz-button.rz-splitbutton-menubutton:hover {
    box-shadow: none;
    background-color: white !important;
    border-top: 3px solid #e91e63;
    padding: 0px !important;
  }


/*DataGrid*/
.rz-datatable-thead th, .rz-grid-table thead th {
  background-color: #fafafa !important;
}

.rz-grid-table thead tr:nth-child(1) th {
  height: 38px !important;
}

.workTimeAccountsGrid .rz-grid-table thead tr:nth-child(1) th:first-child {
  padding-left: 0 !important;
}

.rz-grid-table thead tr:nth-child(1) th:first-child {
  padding-left: 40px !important;
}

.rz-grid-table thead tr:nth-child(2) th {
  height: 38px !important;
  padding-bottom: 7px !important;
}

.rz-cell-filter {
  background-color: #fafafa !important;
  height: 30px !important;
  align-content: center !important;
}

.rz-autocomplete {
  border: none;
}

.rz-autocomplete:hover:not(.rz-state-disabled),
.rz-autocomplete:focus-within:not(.rz-state-disabled) {
  border: none;
  border-block-end: none;
}

.rz-autocomplete:focus-within:not(.rz-state-disabled) {
  box-shadow: none;
}

.rz-autocomplete-input:focus-within:not(.rz-state-disabled) {
  box-shadow: var(--rz-input-hover-shadow);
  background-color: var(--rz-input-hover-background-color);
  border: var(--rz-input-hover-border) !important;
  border-block-end: var(--rz-input-hover-border-block-end);
}

.rz-cell-filter .rz-cell-filter-content .rz-textbox,
.rz-cell-filter .rz-cell-filter-content .rz-dropdown,
.rz-cell-filter .rz-cell-filter-content .rz-spinner,
.rz-cell-filter .rz-cell-filter-content .rz-numeric {
  height: 31px !important;
  margin-bottom: 6px !important;
  border-radius: 4px;
  width: 100%;
}

.rz-numeric .rz-numeric-input {
  height: var(--rz-input-height);
  line-height: var(--rz-input-line-height);
  color: var(--rz-input-value-color);
  font-size: var(--rz-input-font-size);
  transition: var(--rz-input-transition);
  outline: none;
  border-radius: var(--rz-input-border-radius);
  box-shadow: var(--rz-input-shadow);
  background-color: var(--rz-input-background-color);
  padding: var(--rz-input-padding);
}


.rz-grid-table tbody > tr:not(.rz-expanded-row-content):nth-child(even):not(.rz-state-highlight) > td {
  background-color: #ededed;
}

.rz-data-grid-data {
  border: var(--rz-panel-menu-item-border) !important;
  border-top-left-radius: 4px !important;
  border-top-right-radius: 4px !important;
  background-color: white !important;
  border-bottom: none !important;
}

.rz-datatable-thead th.rz-text-align-right .rz-column-title, .rz-grid-table thead th.rz-text-align-right .rz-column-title {
  padding-right: 8px;
}

.rz-paginator {
  border: var(--rz-panel-menu-item-border) !important;
  border-bottom-left-radius: 4px !important;
  border-bottom-right-radius: 4px !important;
  background-color: #fafafa !important;
}

.rz-data-grid.rz-density-compact {
  border: none !important;
  background: none !important;
}

.rz-group-header {
  background: none !important;
  border-bottom: none !important;
  margin-bottom: 16px !important;
  margin-top: 12px !important;
}

div.rz-data-grid.force-scroll table {
  min-width: calc(100% + 1px) !important;
}

/*Checkbox*/
.rz-chkbox-box.rz-state-active {
  background-color: #008174 !important;
  border-color: #008174 !important;
}

.rz-chkbox-box {
  border-radius: 4px !important;
  border-color: #008174 !important;
}

/*Textboxes*/
.rz-textbox, .rz-dropdown, .rz-spinner, .rz-numeric {
  border: 1px solid #ebeced !important;
}

.rz-datepicker:has(.rz-datepicker-trigger) > .rz-inputtext {
  border: 1px solid #ebeced !important;
}

.rz-autocomplete > .rz-inputtext {
  border: 1px solid #ebeced !important;
  border-radius: var(--rz-input-border-radius);
}

.rz-dropdown-label {
  overflow: unset !important;
  overflow-x: clip !important;
}

/*Panel*/
.panel-custom {
  padding: 16px;
  background-color: white;
  height: calc(100vh - 94px);
  width: 100%;
  border: var(--rz-panel-menu-item-border);
  box-shadow: none;
}

.rz-tabview-panel {
  padding: 0px !important;
}

/*Buttons*/
.rz-button.rz-success.rz-shade-default, .rz-success.rz-shade-default.rz-paginator-element {
  padding: 9px 16px !important;
}

.light-button {
  padding: 9px 16px !important;
}

.zoomContainer {
  pointer-events: none !important;
}

/*SelectBar*/
.rz-selectbar:not(.rz-state-disabled) > .rz-button.rz-state-active {
  background-color: var(--oellrich-base-color);
  color: var(--rz-on-primary);
}

.rz-selectbar.d-flex > .rz-button {
  flex: 1 1 auto;
  text-align: center;
}

/*NavMenu*/
.rz-panel-menu {
  z-index: 2000;
}

  .rz-panel-menu .rz-navigation-menu {
    background-color: #f8f8f9 !important;
    margin: 10px !important;
    border-radius: 6px !important;
  }

    .rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper {
      background-color: #f8f8f9 !important;
    }

      .rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper:hover {
        background-color: #ededed !important;
        margin-right: 10px !important;
      }

    .rz-panel-menu .rz-navigation-menu .rz-navigation-item-wrapper-active {
      background-color: #a2f2d8 !important;
      margin-right: 10px !important;
    }

.rz-tabview-nav li a, .rz-tabview-nav li a:not([href]):not([class]) {
  color: #212529 !important;
}
/*Scaling - Slider*/
.rz-slider-handle {
  height: 1.5rem;
  width: 0.75rem;
  margin-inline-start: calc(0.75rem / -2);
  border-radius: calc(4px /2);
  background-color: #008174;
}

.rz-slider-horizontal {
  height: 0.5rem;
}

.rz-slider {
  border: 1px solid #dadfe2;
  background-color: #ffffff;
}

.rz-slider-range {
  border: 1px solid #008174;
  background-color: rgba(0,175,20,0.2);
}

.rz-slider-handle:hover {
  box-shadow: none;
  background-color: darkslategrey;
}


.scalingChangerButton {
  background-color: white !important;
  color: black !important;
  box-shadow: none;
  border: 1px solid #ebeced;
  transition: background-color 0.3s ease;
}

  .scalingChangerButton:hover {
    color: black !important;
    border: 1px solid black;
    box-shadow: none;
  }

  .scalingChangerButton:active {
    color: black !important;
    border: 1px solid black;
    box-shadow: none;
  }

/* Construction Schedule*/
.constructionSchedule-border {
  border: var(--rz-panel-menu-item-border) !important;
}

.rz-card-legend-constructionSchedule {
  background-color: #fafafa !important;
  border: var(--rz-panel-menu-item-border) !important;
  box-shadow: none !important;
  border-radius: 0px 0px 4px 4px;
}

/* RadzenHtmlEditor */
.rz-html-editor > .rz-html-editor-source {
  height: 29.7cm;
  min-height: 29.7cm;
  width: 21cm;
  outline: none;
  margin: 15mm 10mm 15mm 10mm;
}

.rz-html-editor.a4-portrait {
  align-items: center;
  overflow: scroll;
  background-color: lightgray;
}

  .rz-html-editor.a4-portrait > .rz-html-editor-content {
    width: 21cm;
    height: 29.7cm;
    min-height: 29.7cm;
    /*Changed to 0 in #103659*/
    /*padding: 15mm 10mm 10mm 15mm;*/
    padding: 0;
    margin: 10mm;
    contain: content;
    box-sizing: content-box;
    font-size: 13px;
    line-height: 18px;
    font-style: initial;
    font-stretch: initial;
    font-family: 'Times New Roman', Times, 'Helvetica Neue', Helvetica, Arial, sans-serif !important;
    font-size-adjust: from-font;
  }

/* Column Picker*/

.column-picker {
  position: relative;
}

.column-picker-button {
  cursor: pointer;
  position: absolute;
  z-index: 10;
  width: 38px;
  height: 38px;
  color: white;
  border: none;
  border-radius: 4px;
}

.column-picker-grouping > .column-picker-button {
  top: 52px;
}

/* TabsItem Badge */
.trini-badge {
  background-color: #adadad !important;
  color: white;
}

/*Upload*/
.rz-fileupload {
  left: 0;
  --rz-upload-button-bar-background-color: transparent;
  --rz-upload-button-bar-padding: 0;
}

  .fileUpload-slim, .rz-fileupload .rz-fileupload-buttonbar .rz-fileupload-choose {
    padding: 10px 0 !important;
  }

.fileUpload-slim, .rz-button-text {
  vertical-align: middle !important;
}

.rz-fileupload .rz-fileupload-buttonbar {
  min-height: inherit;
}

  .rz-fileupload .rz-fileupload-buttonbar .rz-fileupload-choose {
    width: 100%;
    min-height: inherit;
    text-align: center;
    font-size: 16px;
    padding: 100px 0;
  }

.rz-fileupload.text-center .rz-fileupload-buttonbar .rz-fileupload-choose {
  display: flex;
  align-items: center;
  justify-content: center;
}

.rz-fileupload .rz-fileupload-choose input {
  width: 100%;
  min-height: inherit !important;
}

/*Chip*/
.rz-chip {
  background-color: var(--rz-base-200);
  padding-left: 5px;
  border-radius: var(--rz-border-radius);
}

.rz-chip-text {
}

.rz-chip button {
  box-shadow: none;
  background: none;
  opacity: 0.5;
  margin-left: 0;
  padding-left: 0;
}

.calendar-child-child-cell {
  height: 30px;
}

.p-0-important {
  padding: 0 !important;
}


.unset-grid-tab .rz-grid-table {
  width: unset !important;
}

dashboard-iFrame {
  height: calc(100vh - 395px) !important;
}

.detailbox-panel .rz-panel-titlebar {
  background-color: #fafafa !important;
  padding: 0.7rem 1rem 0.2rem 1rem !important;
  border-radius: var(--rz-panel-border-radius) !important;
}

}

/*Paginator*/
.rz-pager {
  border: var(--rz-panel-menu-item-border) !important;
  border-bottom-left-radius: 4px !important;
  border-bottom-right-radius: 4px !important;
  background-color: #fafafa !important;
}

  .rz-pager.rz-density-compact .rz-pager-element .rzi {
    font-size: 1.5rem;
    height: 1.5rem;
    line-height: 1.5rem;
    width: 1.5rem;
  }

/*Calendar*/
.rz-calendar-prev .rzi, .rz-calendar-next .rzi {
  font-size: 1.5rem !important;
}

/*Paginator*/
.rz-pager-element {
  box-shadow: var(--rz-shadow-0) !important;
}


/*Notification*/
.rz-notification {
  position: fixed;
  z-index: 1002;
  top: 100px;
  float: right;
  right: 10px;
}

.rz-textbox.highlight:not(.rz-state-disabled), .rz-numeric.highlight:not(.rz-state-disabled),
.rz-textarea.highlight:not(.rz-state-disabled), .rz-datepicker.highlight:not(.rz-state-disabled),
.rz-dropdown.highlight:not(.rz-state-disabled), .rz-spinner.highlight:not(.rz-state-disabled) {
  background-color: var(--input-highlight-background-color);
}

  .rz-datepicker.highlight:not(.rz-state-disabled) .rz-inputtext {
    background-color: transparent;
  }

.additionalApproverList li {
  border: none !important;
  padding: 0 !important;
}
